<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Urlaube\Loeschen;

use Kufer\Web\KuferTools\Basis\Presenter\JsonPresenterStringOnly;
use Kufer\Web\KuferTools\Utils\StatusMessages\StatusMessageContainer;
use Kufer\Web\KuferTools\Basis\Controller\SimpleJsonResponseController;
use Kufer\Web\KuferTools\Dozent\Urlaube\Uebersicht\UrlaubeController;
use Kufer\Web\KuferTools\Dozent\Urlaube\Uebersicht\UrlaubeUseCase;

class UrlaubLoeschenController extends \Kufer\Web\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new UrlaubLoeschenUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $result = new UrlaubLoeschenRequest();
    $result->id = \GetOperations::getVarValue('id', null);

    $action = $this->getActionVal();

    return $this->handleXsrf($result, $action, $result->id);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new UrlaubeController();
  }

  protected function isRefresh($pAction, $zusatzParam = '')
  {
    return false;
  }
}